1. Packages
  2. Azure Native
  3. API Docs
  4. netapp
  5. getElasticVolume
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Azure Native v3.13.0 published on Wednesday, Jan 28, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Azure Native v3.13.0 published on Wednesday, Jan 28, 2026 by Pulumi

    Get the details of the specified volume

    Uses Azure REST API version 2025-09-01-preview.

    Using getElasticVolume

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getElasticVolume(args: GetElasticVolumeArgs, opts?: InvokeOptions): Promise<GetElasticVolumeResult>
    function getElasticVolumeOutput(args: GetElasticVolumeOutputArgs, opts?: InvokeOptions): Output<GetElasticVolumeResult>
    def get_elastic_volume(account_name: Optional[str] = None,
                           pool_name: Optional[str] = None,
                           resource_group_name: Optional[str] = None,
                           volume_name: Optional[str] = None,
                           opts: Optional[InvokeOptions] = None) -> GetElasticVolumeResult
    def get_elastic_volume_output(account_name: Optional[pulumi.Input[str]] = None,
                           pool_name: Optional[pulumi.Input[str]] = None,
                           resource_group_name: Optional[pulumi.Input[str]] = None,
                           volume_name: Optional[pulumi.Input[str]] = None,
                           opts: Optional[InvokeOptions] = None) -> Output[GetElasticVolumeResult]
    func LookupElasticVolume(ctx *Context, args *LookupElasticVolumeArgs, opts ...InvokeOption) (*LookupElasticVolumeResult, error)
    func LookupElasticVolumeOutput(ctx *Context, args *LookupElasticVolumeOutputArgs, opts ...InvokeOption) LookupElasticVolumeResultOutput

    > Note: This function is named LookupElasticVolume in the Go SDK.

    public static class GetElasticVolume 
    {
        public static Task<GetElasticVolumeResult> InvokeAsync(GetElasticVolumeArgs args, InvokeOptions? opts = null)
        public static Output<GetElasticVolumeResult> Invoke(GetElasticVolumeInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetElasticVolumeResult> getElasticVolume(GetElasticVolumeArgs args, InvokeOptions options)
    public static Output<GetElasticVolumeResult> getElasticVolume(GetElasticVolumeArgs args, InvokeOptions options)
    
    fn::invoke:
      function: azure-native:netapp:getElasticVolume
      arguments:
        # arguments dictionary

    The following arguments are supported:

    AccountName string
    The name of the ElasticAccount
    PoolName string
    The name of the ElasticCapacityPool
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    VolumeName string
    The name of the ElasticVolume
    AccountName string
    The name of the ElasticAccount
    PoolName string
    The name of the ElasticCapacityPool
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    VolumeName string
    The name of the ElasticVolume
    accountName String
    The name of the ElasticAccount
    poolName String
    The name of the ElasticCapacityPool
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    volumeName String
    The name of the ElasticVolume
    accountName string
    The name of the ElasticAccount
    poolName string
    The name of the ElasticCapacityPool
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    volumeName string
    The name of the ElasticVolume
    account_name str
    The name of the ElasticAccount
    pool_name str
    The name of the ElasticCapacityPool
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    volume_name str
    The name of the ElasticVolume
    accountName String
    The name of the ElasticAccount
    poolName String
    The name of the ElasticCapacityPool
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    volumeName String
    The name of the ElasticVolume

    getElasticVolume Result

    The following output properties are available:

    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    Location string
    The geo-location where the resource lives
    Name string
    The name of the resource
    Properties Pulumi.AzureNative.NetApp.Outputs.ElasticVolumePropertiesResponse
    The resource-specific properties for this resource.
    SystemData Pulumi.AzureNative.NetApp.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    Tags Dictionary<string, string>
    Resource tags.
    Zones List<string>
    The availability zones.
    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    Location string
    The geo-location where the resource lives
    Name string
    The name of the resource
    Properties ElasticVolumePropertiesResponse
    The resource-specific properties for this resource.
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    Tags map[string]string
    Resource tags.
    Zones []string
    The availability zones.
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    location String
    The geo-location where the resource lives
    name String
    The name of the resource
    properties ElasticVolumePropertiesResponse
    The resource-specific properties for this resource.
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    tags Map<String,String>
    Resource tags.
    zones List<String>
    The availability zones.
    azureApiVersion string
    The Azure API version of the resource.
    eTag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id string
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    location string
    The geo-location where the resource lives
    name string
    The name of the resource
    properties ElasticVolumePropertiesResponse
    The resource-specific properties for this resource.
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    tags {[key: string]: string}
    Resource tags.
    zones string[]
    The availability zones.
    azure_api_version str
    The Azure API version of the resource.
    e_tag str
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id str
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    location str
    The geo-location where the resource lives
    name str
    The name of the resource
    properties ElasticVolumePropertiesResponse
    The resource-specific properties for this resource.
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    tags Mapping[str, str]
    Resource tags.
    zones Sequence[str]
    The availability zones.
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
    location String
    The geo-location where the resource lives
    name String
    The name of the resource
    properties Property Map
    The resource-specific properties for this resource.
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    tags Map<String>
    Resource tags.
    zones List<String>
    The availability zones.

    Supporting Types

    ElasticExportPolicyResponse

    rules List<Property Map>
    Export policy rule

    ElasticExportPolicyRuleResponse

    AllowedClients List<string>
    Client ingress specification for the export policy as list of IPv4 CIDRs, IPv4 host addresses and host names.
    Nfsv3 string
    Allows clients to access the volume with the NFSv3 protocol. Enable only for NFSv3 type volumes
    Nfsv4 string
    Allows clients to access the volume with at least NFSv4.1 protocol.
    RootAccess string
    Indicates whether root access to the volume is granted to clients affected by this rule
    RuleIndex int
    Controls the priority of the export policy rule. When connecting to the volume the rule with the lowest index that applies to the connecting client is used
    UnixAccessRule string
    Specifies the Unix file access level for the volume. It encompasses both read-only and read-write permissions. Additionally, NoAccess can be set to block all access to the volume
    AllowedClients []string
    Client ingress specification for the export policy as list of IPv4 CIDRs, IPv4 host addresses and host names.
    Nfsv3 string
    Allows clients to access the volume with the NFSv3 protocol. Enable only for NFSv3 type volumes
    Nfsv4 string
    Allows clients to access the volume with at least NFSv4.1 protocol.
    RootAccess string
    Indicates whether root access to the volume is granted to clients affected by this rule
    RuleIndex int
    Controls the priority of the export policy rule. When connecting to the volume the rule with the lowest index that applies to the connecting client is used
    UnixAccessRule string
    Specifies the Unix file access level for the volume. It encompasses both read-only and read-write permissions. Additionally, NoAccess can be set to block all access to the volume
    allowedClients List<String>
    Client ingress specification for the export policy as list of IPv4 CIDRs, IPv4 host addresses and host names.
    nfsv3 String
    Allows clients to access the volume with the NFSv3 protocol. Enable only for NFSv3 type volumes
    nfsv4 String
    Allows clients to access the volume with at least NFSv4.1 protocol.
    rootAccess String
    Indicates whether root access to the volume is granted to clients affected by this rule
    ruleIndex Integer
    Controls the priority of the export policy rule. When connecting to the volume the rule with the lowest index that applies to the connecting client is used
    unixAccessRule String
    Specifies the Unix file access level for the volume. It encompasses both read-only and read-write permissions. Additionally, NoAccess can be set to block all access to the volume
    allowedClients string[]
    Client ingress specification for the export policy as list of IPv4 CIDRs, IPv4 host addresses and host names.
    nfsv3 string
    Allows clients to access the volume with the NFSv3 protocol. Enable only for NFSv3 type volumes
    nfsv4 string
    Allows clients to access the volume with at least NFSv4.1 protocol.
    rootAccess string
    Indicates whether root access to the volume is granted to clients affected by this rule
    ruleIndex number
    Controls the priority of the export policy rule. When connecting to the volume the rule with the lowest index that applies to the connecting client is used
    unixAccessRule string
    Specifies the Unix file access level for the volume. It encompasses both read-only and read-write permissions. Additionally, NoAccess can be set to block all access to the volume
    allowed_clients Sequence[str]
    Client ingress specification for the export policy as list of IPv4 CIDRs, IPv4 host addresses and host names.
    nfsv3 str
    Allows clients to access the volume with the NFSv3 protocol. Enable only for NFSv3 type volumes
    nfsv4 str
    Allows clients to access the volume with at least NFSv4.1 protocol.
    root_access str
    Indicates whether root access to the volume is granted to clients affected by this rule
    rule_index int
    Controls the priority of the export policy rule. When connecting to the volume the rule with the lowest index that applies to the connecting client is used
    unix_access_rule str
    Specifies the Unix file access level for the volume. It encompasses both read-only and read-write permissions. Additionally, NoAccess can be set to block all access to the volume
    allowedClients List<String>
    Client ingress specification for the export policy as list of IPv4 CIDRs, IPv4 host addresses and host names.
    nfsv3 String
    Allows clients to access the volume with the NFSv3 protocol. Enable only for NFSv3 type volumes
    nfsv4 String
    Allows clients to access the volume with at least NFSv4.1 protocol.
    rootAccess String
    Indicates whether root access to the volume is granted to clients affected by this rule
    ruleIndex Number
    Controls the priority of the export policy rule. When connecting to the volume the rule with the lowest index that applies to the connecting client is used
    unixAccessRule String
    Specifies the Unix file access level for the volume. It encompasses both read-only and read-write permissions. Additionally, NoAccess can be set to block all access to the volume

    ElasticMountTargetPropertiesResponse

    IpAddress string
    The mount target's IPv4 address, used to mount the volume
    SmbServerFqdn string
    The SMB server's Fully Qualified Domain Name, FQDN
    IpAddress string
    The mount target's IPv4 address, used to mount the volume
    SmbServerFqdn string
    The SMB server's Fully Qualified Domain Name, FQDN
    ipAddress String
    The mount target's IPv4 address, used to mount the volume
    smbServerFqdn String
    The SMB server's Fully Qualified Domain Name, FQDN
    ipAddress string
    The mount target's IPv4 address, used to mount the volume
    smbServerFqdn string
    The SMB server's Fully Qualified Domain Name, FQDN
    ip_address str
    The mount target's IPv4 address, used to mount the volume
    smb_server_fqdn str
    The SMB server's Fully Qualified Domain Name, FQDN
    ipAddress String
    The mount target's IPv4 address, used to mount the volume
    smbServerFqdn String
    The SMB server's Fully Qualified Domain Name, FQDN

    ElasticSmbPropertiesResponse

    SmbEncryption string
    Used to enable or disable encryption for in-flight SMB data volume. This flag can be modified during Elastic volume update operation as well. Only applicable for SMB protocol Elastic volumes.
    SmbEncryption string
    Used to enable or disable encryption for in-flight SMB data volume. This flag can be modified during Elastic volume update operation as well. Only applicable for SMB protocol Elastic volumes.
    smbEncryption String
    Used to enable or disable encryption for in-flight SMB data volume. This flag can be modified during Elastic volume update operation as well. Only applicable for SMB protocol Elastic volumes.
    smbEncryption string
    Used to enable or disable encryption for in-flight SMB data volume. This flag can be modified during Elastic volume update operation as well. Only applicable for SMB protocol Elastic volumes.
    smb_encryption str
    Used to enable or disable encryption for in-flight SMB data volume. This flag can be modified during Elastic volume update operation as well. Only applicable for SMB protocol Elastic volumes.
    smbEncryption String
    Used to enable or disable encryption for in-flight SMB data volume. This flag can be modified during Elastic volume update operation as well. Only applicable for SMB protocol Elastic volumes.

    ElasticVolumeBackupPropertiesResponse

    ElasticBackupPolicyResourceId string
    ResourceId used to identify Elastic Backup Policy
    ElasticBackupVaultResourceId string
    ResourceId used to identify Elastic Backup Vault
    PolicyEnforcement string
    The property to decide policy is enforced or not on the volume
    ElasticBackupPolicyResourceId string
    ResourceId used to identify Elastic Backup Policy
    ElasticBackupVaultResourceId string
    ResourceId used to identify Elastic Backup Vault
    PolicyEnforcement string
    The property to decide policy is enforced or not on the volume
    elasticBackupPolicyResourceId String
    ResourceId used to identify Elastic Backup Policy
    elasticBackupVaultResourceId String
    ResourceId used to identify Elastic Backup Vault
    policyEnforcement String
    The property to decide policy is enforced or not on the volume
    elasticBackupPolicyResourceId string
    ResourceId used to identify Elastic Backup Policy
    elasticBackupVaultResourceId string
    ResourceId used to identify Elastic Backup Vault
    policyEnforcement string
    The property to decide policy is enforced or not on the volume
    elastic_backup_policy_resource_id str
    ResourceId used to identify Elastic Backup Policy
    elastic_backup_vault_resource_id str
    ResourceId used to identify Elastic Backup Vault
    policy_enforcement str
    The property to decide policy is enforced or not on the volume
    elasticBackupPolicyResourceId String
    ResourceId used to identify Elastic Backup Policy
    elasticBackupVaultResourceId String
    ResourceId used to identify Elastic Backup Vault
    policyEnforcement String
    The property to decide policy is enforced or not on the volume

    ElasticVolumeDataProtectionPropertiesResponse

    Backup ElasticVolumeBackupPropertiesResponse
    Used to configure backups on an elastic volume.
    Snapshot ElasticVolumeSnapshotPropertiesResponse
    Used to apply a snapshot policy to a volume.
    backup ElasticVolumeBackupPropertiesResponse
    Used to configure backups on an elastic volume.
    snapshot ElasticVolumeSnapshotPropertiesResponse
    Used to apply a snapshot policy to a volume.
    backup ElasticVolumeBackupPropertiesResponse
    Used to configure backups on an elastic volume.
    snapshot ElasticVolumeSnapshotPropertiesResponse
    Used to apply a snapshot policy to a volume.
    backup ElasticVolumeBackupPropertiesResponse
    Used to configure backups on an elastic volume.
    snapshot ElasticVolumeSnapshotPropertiesResponse
    Used to apply a snapshot policy to a volume.
    backup Property Map
    Used to configure backups on an elastic volume.
    snapshot Property Map
    Used to apply a snapshot policy to a volume.

    ElasticVolumePropertiesResponse

    AvailabilityStatus string
    Current availability status of the resource.
    FilePath string
    A unique file path for the volume. Used when creating mount targets. This needs to be unique within the elastic capacity pool.
    MountTargets List<Pulumi.AzureNative.NetApp.Inputs.ElasticMountTargetPropertiesResponse>
    List of mount targets that can be used to mount this volume
    ProtocolTypes List<string>
    Set of support protocol types for the elastic volume
    ProvisioningState string
    Azure lifecycle management.
    RestorationState string
    The current state of the restoration process.
    Size double
    Maximum size allowed for a volume in bytes. Valid values are in the range 1GiB to 16TiB. Values expressed in bytes as multiples of 1 GiB.
    BackupResourceId string
    Resource identifier used to identify the Elastic Backup.
    DataProtection Pulumi.AzureNative.NetApp.Inputs.ElasticVolumeDataProtectionPropertiesResponse
    Data protection configuration option for the volume, including snapshot policies and backup.
    ExportPolicy Pulumi.AzureNative.NetApp.Inputs.ElasticExportPolicyResponse
    Set of export policy rules
    SmbProperties Pulumi.AzureNative.NetApp.Inputs.ElasticSmbPropertiesResponse
    SMB Properties
    SnapshotDirectoryVisibility string
    Controls the visibility of the volume's read-only snapshot directory, which provides access to each of the volume's snapshots.
    SnapshotResourceId string
    Resource identifier used to identify the Elastic Snapshot.
    AvailabilityStatus string
    Current availability status of the resource.
    FilePath string
    A unique file path for the volume. Used when creating mount targets. This needs to be unique within the elastic capacity pool.
    MountTargets []ElasticMountTargetPropertiesResponse
    List of mount targets that can be used to mount this volume
    ProtocolTypes []string
    Set of support protocol types for the elastic volume
    ProvisioningState string
    Azure lifecycle management.
    RestorationState string
    The current state of the restoration process.
    Size float64
    Maximum size allowed for a volume in bytes. Valid values are in the range 1GiB to 16TiB. Values expressed in bytes as multiples of 1 GiB.
    BackupResourceId string
    Resource identifier used to identify the Elastic Backup.
    DataProtection ElasticVolumeDataProtectionPropertiesResponse
    Data protection configuration option for the volume, including snapshot policies and backup.
    ExportPolicy ElasticExportPolicyResponse
    Set of export policy rules
    SmbProperties ElasticSmbPropertiesResponse
    SMB Properties
    SnapshotDirectoryVisibility string
    Controls the visibility of the volume's read-only snapshot directory, which provides access to each of the volume's snapshots.
    SnapshotResourceId string
    Resource identifier used to identify the Elastic Snapshot.
    availabilityStatus String
    Current availability status of the resource.
    filePath String
    A unique file path for the volume. Used when creating mount targets. This needs to be unique within the elastic capacity pool.
    mountTargets List<ElasticMountTargetPropertiesResponse>
    List of mount targets that can be used to mount this volume
    protocolTypes List<String>
    Set of support protocol types for the elastic volume
    provisioningState String
    Azure lifecycle management.
    restorationState String
    The current state of the restoration process.
    size Double
    Maximum size allowed for a volume in bytes. Valid values are in the range 1GiB to 16TiB. Values expressed in bytes as multiples of 1 GiB.
    backupResourceId String
    Resource identifier used to identify the Elastic Backup.
    dataProtection ElasticVolumeDataProtectionPropertiesResponse
    Data protection configuration option for the volume, including snapshot policies and backup.
    exportPolicy ElasticExportPolicyResponse
    Set of export policy rules
    smbProperties ElasticSmbPropertiesResponse
    SMB Properties
    snapshotDirectoryVisibility String
    Controls the visibility of the volume's read-only snapshot directory, which provides access to each of the volume's snapshots.
    snapshotResourceId String
    Resource identifier used to identify the Elastic Snapshot.
    availabilityStatus string
    Current availability status of the resource.
    filePath string
    A unique file path for the volume. Used when creating mount targets. This needs to be unique within the elastic capacity pool.
    mountTargets ElasticMountTargetPropertiesResponse[]
    List of mount targets that can be used to mount this volume
    protocolTypes string[]
    Set of support protocol types for the elastic volume
    provisioningState string
    Azure lifecycle management.
    restorationState string
    The current state of the restoration process.
    size number
    Maximum size allowed for a volume in bytes. Valid values are in the range 1GiB to 16TiB. Values expressed in bytes as multiples of 1 GiB.
    backupResourceId string
    Resource identifier used to identify the Elastic Backup.
    dataProtection ElasticVolumeDataProtectionPropertiesResponse
    Data protection configuration option for the volume, including snapshot policies and backup.
    exportPolicy ElasticExportPolicyResponse
    Set of export policy rules
    smbProperties ElasticSmbPropertiesResponse
    SMB Properties
    snapshotDirectoryVisibility string
    Controls the visibility of the volume's read-only snapshot directory, which provides access to each of the volume's snapshots.
    snapshotResourceId string
    Resource identifier used to identify the Elastic Snapshot.
    availability_status str
    Current availability status of the resource.
    file_path str
    A unique file path for the volume. Used when creating mount targets. This needs to be unique within the elastic capacity pool.
    mount_targets Sequence[ElasticMountTargetPropertiesResponse]
    List of mount targets that can be used to mount this volume
    protocol_types Sequence[str]
    Set of support protocol types for the elastic volume
    provisioning_state str
    Azure lifecycle management.
    restoration_state str
    The current state of the restoration process.
    size float
    Maximum size allowed for a volume in bytes. Valid values are in the range 1GiB to 16TiB. Values expressed in bytes as multiples of 1 GiB.
    backup_resource_id str
    Resource identifier used to identify the Elastic Backup.
    data_protection ElasticVolumeDataProtectionPropertiesResponse
    Data protection configuration option for the volume, including snapshot policies and backup.
    export_policy ElasticExportPolicyResponse
    Set of export policy rules
    smb_properties ElasticSmbPropertiesResponse
    SMB Properties
    snapshot_directory_visibility str
    Controls the visibility of the volume's read-only snapshot directory, which provides access to each of the volume's snapshots.
    snapshot_resource_id str
    Resource identifier used to identify the Elastic Snapshot.
    availabilityStatus String
    Current availability status of the resource.
    filePath String
    A unique file path for the volume. Used when creating mount targets. This needs to be unique within the elastic capacity pool.
    mountTargets List<Property Map>
    List of mount targets that can be used to mount this volume
    protocolTypes List<String>
    Set of support protocol types for the elastic volume
    provisioningState String
    Azure lifecycle management.
    restorationState String
    The current state of the restoration process.
    size Number
    Maximum size allowed for a volume in bytes. Valid values are in the range 1GiB to 16TiB. Values expressed in bytes as multiples of 1 GiB.
    backupResourceId String
    Resource identifier used to identify the Elastic Backup.
    dataProtection Property Map
    Data protection configuration option for the volume, including snapshot policies and backup.
    exportPolicy Property Map
    Set of export policy rules
    smbProperties Property Map
    SMB Properties
    snapshotDirectoryVisibility String
    Controls the visibility of the volume's read-only snapshot directory, which provides access to each of the volume's snapshots.
    snapshotResourceId String
    Resource identifier used to identify the Elastic Snapshot.

    ElasticVolumeSnapshotPropertiesResponse

    SnapshotPolicyResourceId string
    Snapshot Policy ResourceId
    SnapshotPolicyResourceId string
    Snapshot Policy ResourceId
    snapshotPolicyResourceId String
    Snapshot Policy ResourceId
    snapshotPolicyResourceId string
    Snapshot Policy ResourceId
    snapshot_policy_resource_id str
    Snapshot Policy ResourceId
    snapshotPolicyResourceId String
    Snapshot Policy ResourceId

    SystemDataResponse

    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Azure Native v3.13.0 published on Wednesday, Jan 28, 2026 by Pulumi
      Meet Neo: Your AI Platform Teammate